package router

import (
	"github.com/gin-gonic/gin"
	"go-admin/app/admin/apis/ordermanage"
	jwt "go-admin/pkg/jwtauth"
)

// 需认证的路由代码
func registerErpOrderManageRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	//erp := v1.Group("/erp").Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())
	//{
	//}
}

// 无需认证的路由代码
func registerErpOrderManageUnAuthRouter(v1 *gin.RouterGroup) {
	erp := v1.Group("/erp")
	{
		erp.POST("order_list", ordermanage.ErpOrderList)
		erp.POST("order_create", ordermanage.ErpOrderCreate)
		erp.POST("order_modify", ordermanage.ErpOrderModify)
		erp.POST("order_detail", ordermanage.ErpOrderDetail)
		erp.POST("order_audit", ordermanage.ErpOrderAudit)
		erp.POST("order_del", ordermanage.ErpOrderDel)
		erp.POST("order_commodity_list", ordermanage.ErpOrderCommodityList)
		erp.POST("shop_assistant_list", ordermanage.ShopAssistantList)

	}

}
