package router

import (
	"github.com/gin-gonic/gin"
	"go-admin/app/admin/apis/purchasemanage"
	jwt "go-admin/pkg/jwtauth"
)

// 需认证的路由代码
func registerErpPurchaseManageRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	//erp := v1.Group("/erp").Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())
	//{
	//	erp.POST("purchase_order_list", purchasemanage.ErpPurchaseOrderList)
	//	erp.POST("purchase_order_create", purchasemanage.ErpPurchaseOrderCreate)
	//	erp.POST("purchase_order_rejected_create", purchasemanage.ErpPurchaseOrderRejectedCreate)
	//
	//	erp.POST("purchase_inventory_create", purchasemanage.ErpPurchaseInventoryCreate)
	//	erp.POST("purchase_detail", purchasemanage.ErpPurchaseOrderDetail)
	//
	//}
}

// 无需认证的路由代码
func registerErpPurchaseManageUnAuthRouter(v1 *gin.RouterGroup) {
	erp := v1.Group("/erp")
	{
		erp.POST("purchase_order_list", purchasemanage.ErpPurchaseOrderList)
		erp.POST("purchase_order_create", purchasemanage.ErpPurchaseOrderCreate)
		erp.POST("purchase_order_rejected_create", purchasemanage.ErpPurchaseOrderRejectedCreate)

		erp.POST("purchase_inventory_create", purchasemanage.ErpPurchaseInventoryCreate)
		erp.POST("purchase_order_commodity_list", purchasemanage.ErpPurchaseOrderCommodityList)
		erp.POST("purchase_detail", purchasemanage.ErpPurchaseOrderDetail)
		erp.POST("purchase_quotation_list", purchasemanage.ErpPurchaseQuotationList) //引
		erp.POST("commodity_manipulate_list", purchasemanage.ErpPurchaseCommodityManipulateList)

	}
}
