package router

import (
	"github.com/gin-gonic/gin"
	"go-admin/app/admin/apis/stockmanage"
	jwt "go-admin/pkg/jwtauth"
)

// 需认证的路由代码
func registerErpStockManageRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	//erp := v1.Group("/erp").Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())
	//{
	//}
}

// 无需认证的路由代码
func registerErpStockManageUnAuthRouter(v1 *gin.RouterGroup) {
	erp := v1.Group("/erp")
	{

		//erp.POST("stock_batch_import", commoditymanage.ErpStockBatchImport)
		//erp.POST("commodity_create", commoditymanage.ErpCommodityCreate)
		erp.POST("stock_list", stockmanage.ErpStockList)
		erp.POST("stock_detail", stockmanage.ErpStockDetail)
		erp.POST("stock_commodity_list", stockmanage.ErpStockCommodityList)
		//erp.POST("commodity_detail", commoditymanage.ErpCommodityDetail)
		//erp.POST("commodity_del", commoditymanage.ErpCommodityDel)
		//erp.POST("commodity_edit", commoditymanage.ErpCommodityEdit)
		//erp.POST("commodity_batch_import", commoditymanage.ErpCommodityBatchImport)
		//erp.POST("batch_import_view", commoditymanage.BatchImportView)

	}

}
